package global

import (
	"cicv-data-closedloop/kinglong/common/ent"
	"sync"
	"time"
)

var (
	TimeWindowProducerQueue      []ent.TimeWindow
	TimeWindowProducerQueueMutex sync.RWMutex

	TimeWindowConsumerQueue      []ent.TimeWindow
	TimeWindowConsumerQueueMutex sync.RWMutex

	Subscriber0Time      = time.Date(2023, time.November, 23, 10, 30, 0, 0, time.UTC)
	Subscriber0TimeMutex sync.Mutex
	Subscriber2Time      = time.Date(2023, time.November, 23, 10, 30, 0, 0, time.UTC)
	Subscriber2TimeMutex sync.Mutex
	Subscriber3Time      = time.Date(2023, time.November, 23, 10, 30, 0, 0, time.UTC)
	Subscriber3TimeMutex sync.Mutex

	TcpSendTime      = time.Date(2023, time.November, 23, 10, 30, 0, 0, time.UTC)
	TcpSendTimeMutex sync.Mutex
)
